Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class NcbAddressType

    java.lang.Object
      nz.co.cks.tms.xml.NcbAddressType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  NcbAddress

public abstract class NcbAddressType
extends java.lang.Object
implements java.io.Serializable

Class NcbAddressType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `_city` Field _city
`private java.lang.String` | `_countyCode` Field _countyCode
`private java.lang.String` | `_email` Field _email
`private java.lang.String` | `_faxNumber` Field _faxNumber
`private java.lang.String` | `_phoneNumber` Field _phoneNumber
`private java.lang.String` | `_postalCode` Field _postalCode
`private NcbAddressTypeType` | `_selectedAddressType` Field _selectedAddressType
`private java.lang.String` | `_stateProv` Field _stateProv
`private java.lang.String` | `_streetLine1` Field _streetLine1
`private java.lang.String` | `_streetLine2` Field _streetLine2
`private java.lang.String` | `_streetLine3` Field _streetLine3

Constructor Summary
`NcbAddressType()`

Method Summary
`java.lang.String` | `getCity()` Method getCityReturns the value of field 'city'.
`java.lang.String` | `getCountyCode()` Method getCountyCodeReturns the value of field 'countyCode'.
`java.lang.String` | `getEmail()` Method getEmailReturns the value of field 'email'.
`java.lang.String` | `getFaxNumber()` Method getFaxNumberReturns the value of field 'faxNumber'.
`java.lang.String` | `getPhoneNumber()` Method getPhoneNumberReturns the value of field 'phoneNumber'.
`java.lang.String` | `getPostalCode()` Method getPostalCodeReturns the value of field 'postalCode'.
`NcbAddressTypeType` | `getSelectedAddressType()` Method getSelectedAddressTypeReturns the value of field 'selectedAddressType'.
`java.lang.String` | `getStateProv()` Method getStateProvReturns the value of field 'stateProv'.
`java.lang.String` | `getStreetLine1()` Method getStreetLine1Returns the value of field 'streetLine1'.
`java.lang.String` | `getStreetLine2()` Method getStreetLine2Returns the value of field 'streetLine2'.
`java.lang.String` | `getStreetLine3()` Method getStreetLine3Returns the value of field 'streetLine3'.
`boolean` | `isValid()` Method isValid
`void` | `setCity(java.lang.String city)` Method setCitySets the value of field 'city'.
`void` | `setCountyCode(java.lang.String countyCode)` Method setCountyCodeSets the value of field 'countyCode'.
`void` | `setEmail(java.lang.String email)` Method setEmailSets the value of field 'email'.
`void` | `setFaxNumber(java.lang.String faxNumber)` Method setFaxNumberSets the value of field 'faxNumber'.
`void` | `setPhoneNumber(java.lang.String phoneNumber)` Method setPhoneNumberSets the value of field 'phoneNumber'.
`void` | `setPostalCode(java.lang.String postalCode)` Method setPostalCodeSets the value of field 'postalCode'.
`void` | `setSelectedAddressType(NcbAddressTypeType selectedAddressType)` Method setSelectedAddressTypeSets the value of field 'selectedAddressType'.
`void` | `setStateProv(java.lang.String stateProv)` Method setStateProvSets the value of field 'stateProv'.
`void` | `setStreetLine1(java.lang.String streetLine1)` Method setStreetLine1Sets the value of field 'streetLine1'.
`void` | `setStreetLine2(java.lang.String streetLine2)` Method setStreetLine2Sets the value of field 'streetLine2'.
`void` | `setStreetLine3(java.lang.String streetLine3)` Method setStreetLine3Sets the value of field 'streetLine3'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _city

    private java.lang.String _city

  Field _city

### _countyCode

    private java.lang.String _countyCode

  Field _countyCode

### _email

    private java.lang.String _email

  Field _email

### _faxNumber

    private java.lang.String _faxNumber

  Field _faxNumber

### _phoneNumber

    private java.lang.String _phoneNumber

  Field _phoneNumber

### _postalCode

    private java.lang.String _postalCode

  Field _postalCode

### _selectedAddressType

    private NcbAddressTypeType _selectedAddressType

  Field _selectedAddressType

### _stateProv

    private java.lang.String _stateProv

  Field _stateProv

### _streetLine1

    private java.lang.String _streetLine1

  Field _streetLine1

### _streetLine2

    private java.lang.String _streetLine2

  Field _streetLine2

### _streetLine3

    private java.lang.String _streetLine3

  Field _streetLine3

Constructor Detail

### NcbAddressType

    public NcbAddressType()

Method Detail

### getCity

    public java.lang.String getCity()

  Method getCityReturns the value of field 'city'.

  Returns:
    the value of field 'city'.

### getCountyCode

    public java.lang.String getCountyCode()

  Method getCountyCodeReturns the value of field 'countyCode'.

  Returns:
    the value of field 'countyCode'.

### getEmail

    public java.lang.String getEmail()

  Method getEmailReturns the value of field 'email'.

  Returns:
    the value of field 'email'.

### getFaxNumber

    public java.lang.String getFaxNumber()

  Method getFaxNumberReturns the value of field 'faxNumber'.

  Returns:
    the value of field 'faxNumber'.

### getPhoneNumber

    public java.lang.String getPhoneNumber()

  Method getPhoneNumberReturns the value of field 'phoneNumber'.

  Returns:
    the value of field 'phoneNumber'.

### getPostalCode

    public java.lang.String getPostalCode()

  Method getPostalCodeReturns the value of field 'postalCode'.

  Returns:
    the value of field 'postalCode'.

### getSelectedAddressType

    public NcbAddressTypeType getSelectedAddressType()

  Method getSelectedAddressTypeReturns the value of field 'selectedAddressType'.

  Returns:
    the value of field 'selectedAddressType'.

### getStateProv

    public java.lang.String getStateProv()

  Method getStateProvReturns the value of field 'stateProv'.

  Returns:
    the value of field 'stateProv'.

### getStreetLine1

    public java.lang.String getStreetLine1()

  Method getStreetLine1Returns the value of field 'streetLine1'.

  Returns:
    the value of field 'streetLine1'.

### getStreetLine2

    public java.lang.String getStreetLine2()

  Method getStreetLine2Returns the value of field 'streetLine2'.

  Returns:
    the value of field 'streetLine2'.

### getStreetLine3

    public java.lang.String getStreetLine3()

  Method getStreetLine3Returns the value of field 'streetLine3'.

  Returns:
    the value of field 'streetLine3'.

### isValid

    public boolean isValid()

  Method isValid

### setCity

    public void setCity(java.lang.String city)

  Method setCitySets the value of field 'city'.

  Parameters:
    `city` - the value of field 'city'.

### setCountyCode

    public void setCountyCode(java.lang.String countyCode)

  Method setCountyCodeSets the value of field 'countyCode'.

  Parameters:
    `countyCode` - the value of field 'countyCode'.

### setEmail

    public void setEmail(java.lang.String email)

  Method setEmailSets the value of field 'email'.

  Parameters:
    `email` - the value of field 'email'.

### setFaxNumber

    public void setFaxNumber(java.lang.String faxNumber)

  Method setFaxNumberSets the value of field 'faxNumber'.

  Parameters:
    `faxNumber` - the value of field 'faxNumber'.

### setPhoneNumber

    public void setPhoneNumber(java.lang.String phoneNumber)

  Method setPhoneNumberSets the value of field 'phoneNumber'.

  Parameters:
    `phoneNumber` - the value of field 'phoneNumber'.

### setPostalCode

    public void setPostalCode(java.lang.String postalCode)

  Method setPostalCodeSets the value of field 'postalCode'.

  Parameters:
    `postalCode` - the value of field 'postalCode'.

### setSelectedAddressType

    public void setSelectedAddressType(NcbAddressTypeType selectedAddressType)

  Method setSelectedAddressTypeSets the value of field 'selectedAddressType'.

  Parameters:
    `selectedAddressType` - the value of field 'selectedAddressType'.

### setStateProv

    public void setStateProv(java.lang.String stateProv)

  Method setStateProvSets the value of field 'stateProv'.

  Parameters:
    `stateProv` - the value of field 'stateProv'.

### setStreetLine1

    public void setStreetLine1(java.lang.String streetLine1)

  Method setStreetLine1Sets the value of field 'streetLine1'.

  Parameters:
    `streetLine1` - the value of field 'streetLine1'.

### setStreetLine2

    public void setStreetLine2(java.lang.String streetLine2)

  Method setStreetLine2Sets the value of field 'streetLine2'.

  Parameters:
    `streetLine2` - the value of field 'streetLine2'.

### setStreetLine3

    public void setStreetLine3(java.lang.String streetLine3)

  Method setStreetLine3Sets the value of field 'streetLine3'.

  Parameters:
    `streetLine3` - the value of field 'streetLine3'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD